diff --git a/dlls/quartz/tests/vmr9.c b/dlls/quartz/tests/vmr9.c
index 405f7ee89..a0ccb4898 100644
--- a/dlls/quartz/tests/vmr9.c
+++ b/dlls/quartz/tests/vmr9.c
@@ -2288,25 +2285,25 @@ static void test_video_window_owner(IVideoWindow *window, HWND hwnd, HWND our_hw
     SetWindowPos(our_hwnd, HWND_TOP, 0, 0, 0, 0, SWP_NOMOVE | SWP_NOSIZE);
 
     hr = IVideoWindow_get_Owner(window, &oahwnd);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(!oahwnd, "Got owner %#Ix.\n", oahwnd);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(!oahwnd, "Got owner %#lx.\n", oahwnd);
 
     parent = GetAncestor(hwnd, GA_PARENT);
     ok(parent == GetDesktopWindow(), "Got parent %p.\n", parent);
     style = GetWindowLongA(hwnd, GWL_STYLE);
-    ok(!(style & WS_CHILD), "Got style %#lx.\n", style);
+    ok(!(style & WS_CHILD), "Got style %#x.\n", style);
 
     hr = IVideoWindow_put_Owner(window, (OAHWND)our_hwnd);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_Owner(window, &oahwnd);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(oahwnd == (OAHWND)our_hwnd, "Got owner %#Ix.\n", oahwnd);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(oahwnd == (OAHWND)our_hwnd, "Got owner %#lx.\n", oahwnd);
 
     parent = GetAncestor(hwnd, GA_PARENT);
     ok(parent == our_hwnd, "Got parent %p.\n", parent);
     style = GetWindowLongA(hwnd, GWL_STYLE);
-    ok((style & WS_CHILD), "Got style %#lx.\n", style);
+    ok((style & WS_CHILD), "Got style %#x.\n", style);
 
     ok(GetActiveWindow() == our_hwnd, "Got active window %p.\n", GetActiveWindow());
     top_hwnd = get_top_window();
@@ -2315,31 +2312,31 @@ static void test_video_window_owner(IVideoWindow *window, HWND hwnd, HWND our_hw
     ShowWindow(our_hwnd, SW_HIDE);
 
     hr = IVideoWindow_put_Visible(window, OATRUE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_Visible(window, &state);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(state == OAFALSE, "Got state %ld.\n", state);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(state == OAFALSE, "Got state %d.\n", state);
 
     hr = IVideoWindow_put_Owner(window, 0);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_Owner(window, &oahwnd);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(!oahwnd, "Got owner %#Ix.\n", oahwnd);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(!oahwnd, "Got owner %#lx.\n", oahwnd);
 
     parent = GetAncestor(hwnd, GA_PARENT);
     ok(parent == GetDesktopWindow(), "Got parent %p.\n", parent);
     style = GetWindowLongA(hwnd, GWL_STYLE);
-    ok(!(style & WS_CHILD), "Got style %#lx.\n", style);
+    ok(!(style & WS_CHILD), "Got style %#x.\n", style);
 
     ok(GetActiveWindow() == hwnd, "Got active window %p.\n", GetActiveWindow());
     top_hwnd = get_top_window();
     ok(top_hwnd == hwnd, "Got top window %p.\n", top_hwnd);
 
     hr = IVideoWindow_get_Visible(window, &state);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(state == OATRUE, "Got state %ld.\n", state);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(state == OATRUE, "Got state %d.\n", state);
 }
 
 struct notify_message_params
@@ -2353,7 +2350,7 @@ static DWORD CALLBACK notify_message_proc(void *arg)
 {
     const struct notify_message_params *params = arg;
     HRESULT hr = IVideoWindow_NotifyOwnerMessage(params->window, (OAHWND)params->hwnd, params->message, 0, 0);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     return 0;
 }
 
@@ -2396,15 +2393,15 @@ static void test_video_window_messages(IVideoWindow *window, HWND hwnd, HWND our
     flush_events();
 
     hr = IVideoWindow_get_MessageDrain(window, &oahwnd);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(!oahwnd, "Got window %#Ix.\n", oahwnd);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(!oahwnd, "Got window %#lx.\n", oahwnd);
 
     hr = IVideoWindow_put_MessageDrain(window, (OAHWND)our_hwnd);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_MessageDrain(window, &oahwnd);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(oahwnd == (OAHWND)our_hwnd, "Got window %#Ix.\n", oahwnd);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(oahwnd == (OAHWND)our_hwnd, "Got window %#lx.\n", oahwnd);
 
     for (i = 0; i < ARRAY_SIZE(drain_tests); ++i)
     {
@@ -2413,8 +2410,8 @@ static void test_video_window_messages(IVideoWindow *window, HWND hwnd, HWND our
         ok(ret, "Expected a message.\n");
         ok(msg.hwnd == our_hwnd, "Got hwnd %p.\n", msg.hwnd);
         ok(msg.message == drain_tests[i], "Got message %#x.\n", msg.message);
-        ok(msg.wParam == 0xdeadbeef, "Got wparam %#Ix.\n", msg.wParam);
-        ok(!msg.lParam, "Got lparam %#Ix.\n", msg.lParam);
+        ok(msg.wParam == 0xdeadbeef, "Got wparam %#lx.\n", msg.wParam);
+        ok(!msg.lParam, "Got lparam %#lx.\n", msg.lParam);
         DispatchMessageA(&msg);
 
         ret = PeekMessageA(&msg, 0, drain_tests[i], drain_tests[i], PM_REMOVE);
@@ -2422,10 +2419,10 @@ static void test_video_window_messages(IVideoWindow *window, HWND hwnd, HWND our
     }
 
     hr = IVideoWindow_put_MessageDrain(window, 0);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_put_Owner(window, (OAHWND)our_hwnd);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     flush_events();
 
@@ -2434,7 +2431,7 @@ static void test_video_window_messages(IVideoWindow *window, HWND hwnd, HWND our
      * posted all messages. */
 
     hr = IVideoWindow_NotifyOwnerMessage(window, (OAHWND)our_hwnd, WM_SYSCOLORCHANGE, 0, 0);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     while (PeekMessageA(&msg, 0, 0, 0, PM_REMOVE))
     {
@@ -2443,7 +2440,7 @@ static void test_video_window_messages(IVideoWindow *window, HWND hwnd, HWND our
     }
 
     hr = IVideoWindow_NotifyOwnerMessage(window, (OAHWND)our_hwnd, WM_FONTCHANGE, 0, 0);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     while (PeekMessageA(&msg, 0, 0, 0, PM_REMOVE))
     {
@@ -2480,7 +2477,7 @@ static void test_video_window_messages(IVideoWindow *window, HWND hwnd, HWND our
     }
 
     hr = IVideoWindow_put_Owner(window, 0);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 }
 
 static void test_video_window_autoshow(IVideoWindow *window, IFilterGraph2 *graph, HWND hwnd)
@@ -2492,41 +2489,41 @@ static void test_video_window_autoshow(IVideoWindow *window, IFilterGraph2 *grap
     IFilterGraph2_QueryInterface(graph, &IID_IMediaControl, (void **)&control);
 
     hr = IVideoWindow_get_AutoShow(window, &l);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(l == OATRUE, "Got %ld.\n", l);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(l == OATRUE, "Got %d.\n", l);
 
     hr = IVideoWindow_put_Visible(window, OAFALSE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IMediaControl_Pause(control);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_Visible(window, &l);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(l == OATRUE, "Got %ld.\n", l);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(l == OATRUE, "Got %d.\n", l);
 
     hr = IMediaControl_Stop(control);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_Visible(window, &l);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(l == OATRUE, "Got %ld.\n", l);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(l == OATRUE, "Got %d.\n", l);
 
     hr = IVideoWindow_put_AutoShow(window, OAFALSE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_put_Visible(window, OAFALSE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IMediaControl_Pause(control);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_Visible(window, &l);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(l == OAFALSE, "Got %ld.\n", l);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(l == OAFALSE, "Got %d.\n", l);
 
     hr = IMediaControl_Stop(control);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     IMediaControl_Release(control);
 }
@@ -2586,27 +2583,27 @@ static void test_video_window(void)
     IPin_QueryInterface(pin, &IID_IMemInputPin, (void **)&input);
 
     hr = IPin_QueryInterface(pin, &IID_IOverlay, (void **)&overlay);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IOverlay_GetWindowHandle(overlay, &hwnd);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     if (winetest_debug > 1) trace("ours %p, theirs %p\n", our_hwnd, hwnd);
     GetWindowRect(hwnd, &rect);
 
     tid = GetWindowThreadProcessId(hwnd, NULL);
-    ok(tid == GetCurrentThreadId(), "Expected tid %#lx, got %#lx.\n", GetCurrentThreadId(), tid);
+    ok(tid == GetCurrentThreadId(), "Expected tid %#x, got %#x.\n", GetCurrentThreadId(), tid);
 
     hr = IBaseFilter_QueryInterface(filter, &IID_IVideoWindow, (void **)&window);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_Caption(window, &caption);
-    todo_wine ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#lx.\n", hr);
+    todo_wine ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_WindowStyle(window, &l);
-    todo_wine ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#lx.\n", hr);
+    todo_wine ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_AutoShow(window, &l);
-    todo_wine ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#lx.\n", hr);
+    todo_wine ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#x.\n", hr);
 
     testfilter_init(&source);
     IFilterGraph2_AddFilter(graph, &source.filter.IBaseFilter_iface, NULL);
@@ -2618,17 +2615,17 @@ static void test_video_window(void)
         skip("Got E_FAIL when connecting.\n");
         goto out;
     }
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IMemInputPin_GetAllocator(input, &allocator);
-    todo_wine ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    todo_wine ok(hr == S_OK, "Got hr %#x.\n", hr);
     if (hr == S_OK)
     {
         hr = IMemAllocator_SetProperties(allocator, &req_props, &ret_props);
-        ok(hr == S_OK, "Got hr %#lx.\n", hr);
+        ok(hr == S_OK, "Got hr %#x.\n", hr);
         ok(!memcmp(&ret_props, &req_props, sizeof(req_props)), "Properties did not match.\n");
         hr = IMemAllocator_Commit(allocator);
-        ok(hr == S_OK, "Got hr %#lx.\n", hr);
+        ok(hr == S_OK, "Got hr %#x.\n", hr);
         IMemAllocator_Release(allocator);
     }
 
@@ -2643,34 +2640,34 @@ static void test_video_window(void)
     test_video_window_messages(window, hwnd, our_hwnd);
 
     hr = IVideoWindow_put_FullScreenMode(window, OATRUE);
-    ok(hr == E_NOTIMPL, "Got hr %#lx.\n", hr);
+    ok(hr == E_NOTIMPL, "Got hr %#x.\n", hr);
     hr = IVideoWindow_get_FullScreenMode(window, &l);
-    ok(hr == E_NOTIMPL, "Got hr %#lx.\n", hr);
+    ok(hr == E_NOTIMPL, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_GetMinIdealImageSize(window, &width, &height);
-    todo_wine ok(hr == VFW_E_WRONG_STATE, "Got hr %#lx.\n", hr);
+    todo_wine ok(hr == VFW_E_WRONG_STATE, "Got hr %#x.\n", hr);
     hr = IVideoWindow_GetMaxIdealImageSize(window, &width, &height);
-    todo_wine ok(hr == VFW_E_WRONG_STATE, "Got hr %#lx.\n", hr);
+    todo_wine ok(hr == VFW_E_WRONG_STATE, "Got hr %#x.\n", hr);
 
     hr = IMediaControl_Pause(control);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     monitorinfo.cbSize = sizeof(monitorinfo);
     GetMonitorInfoW(MonitorFromWindow(hwnd, MONITOR_DEFAULTTOPRIMARY), &monitorinfo);
 
     hr = IVideoWindow_GetMinIdealImageSize(window, &width, &height);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    todo_wine ok(width == 1, "Got width %ld.\n", width);
-    todo_wine ok(height == 1, "Got height %ld.\n", height);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    todo_wine ok(width == 1, "Got width %d.\n", width);
+    todo_wine ok(height == 1, "Got height %d.\n", height);
     hr = IVideoWindow_GetMaxIdealImageSize(window, &width, &height);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    todo_wine ok(width == monitorinfo.rcMonitor.right + 1, "Expected width %ld, got %ld.\n",
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    todo_wine ok(width == monitorinfo.rcMonitor.right + 1, "Expected width %d, got %d.\n",
             monitorinfo.rcMonitor.right + 1, width);
-    todo_wine ok(height == monitorinfo.rcMonitor.bottom + 1, "Expected height %ld, got %ld.\n",
+    todo_wine ok(height == monitorinfo.rcMonitor.bottom + 1, "Expected height %d, got %d.\n",
             monitorinfo.rcMonitor.bottom + 1, height);
 
     hr = IMediaControl_Stop(control);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
 out:
     IMediaControl_Release(control);
@@ -2680,9 +2677,9 @@ static void test_video_window(void)
     IMemInputPin_Release(input);
     IPin_Release(pin);
     ref = IBaseFilter_Release(filter);
-    ok(!ref, "Got outstanding refcount %ld.\n", ref);
+    ok(!ref, "Got outstanding refcount %d.\n", ref);
     ref = IBaseFilter_Release(&source.filter.IBaseFilter_iface);
-    ok(!ref, "Got outstanding refcount %ld.\n", ref);
+    ok(!ref, "Got outstanding refcount %d.\n", ref);
     DestroyWindow(our_hwnd);
 }
 
@@ -2709,7 +2706,7 @@ static IDirect3DDevice9 *create_device(HWND window)
     IDirect3D9_Release(d3d);
     if (FAILED(hr))
     {
-        skip("Failed to create a 3D device, hr %#lx.\n", hr);
+        skip("Failed to create a 3D device, hr %#x.\n", hr);
         return NULL;
     }
     return device;
@@ -2754,7 +2751,7 @@ static void test_allocate_surface_helper(void)
 
     count = 2;
     hr = IVMRSurfaceAllocatorNotify9_AllocateSurfaceHelper(notify, &info, &count, surfaces);
-    todo_wine ok(hr == E_FAIL, "Got hr %#lx.\n", hr);
+    todo_wine ok(hr == E_FAIL, "Got hr %#x.\n", hr);
 
     hr = IVMRSurfaceAllocatorNotify9_SetD3DDevice(notify, device, MonitorFromWindow(window, MONITOR_DEFAULTTOPRIMARY));
     if (hr == E_NOINTERFACE)
@@ -2762,42 +2759,42 @@ static void test_allocate_surface_helper(void)
         win_skip("Direct3D does not support video rendering.\n");
         goto out;
     }
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     if (0) /* crashes on Windows */
     {
         hr = IVMRSurfaceAllocatorNotify9_AllocateSurfaceHelper(notify, NULL, &count, surfaces);
-        ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+        ok(hr == E_POINTER, "Got hr %#x.\n", hr);
 
         hr = IVMRSurfaceAllocatorNotify9_AllocateSurfaceHelper(notify, &info, NULL, surfaces);
-        ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+        ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     }
 
     hr = IVMRSurfaceAllocatorNotify9_AllocateSurfaceHelper(notify, &info, &count, NULL);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
 
     hr = IVMRSurfaceAllocatorNotify9_AllocateSurfaceHelper(notify, &info, &count, surfaces);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(count == 2, "Got count %lu.\n", count);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(count == 2, "Got count %u.\n", count);
     ok(!!surfaces[0], "Surface 0 was not allocated.\n");
     ok(!!surfaces[1], "Surface 1 was not allocated.\n");
 
     hr = IDirect3DSurface9_GetDevice(surfaces[0], &device2);
-    ok(hr == D3D_OK, "Got hr %#lx.\n", hr);
+    ok(hr == D3D_OK, "Got hr %#x.\n", hr);
     ok(device2 == device, "Devices did not match.\n");
     IDirect3DDevice9_Release(device2);
 
     hr = IDirect3DSurface9_GetContainer(surfaces[0], &IID_IDirect3DTexture9, (void **)&container);
-    ok(hr == E_NOINTERFACE, "Got hr %#lx.\n", hr);
+    ok(hr == E_NOINTERFACE, "Got hr %#x.\n", hr);
 
     hr = IDirect3DSurface9_GetDesc(surfaces[0], &desc);
-    ok(hr == D3D_OK, "Got hr %#lx.\n", hr);
+    ok(hr == D3D_OK, "Got hr %#x.\n", hr);
     ok(desc.Format == info.Format, "Got format %#x.\n", desc.Format);
     ok(desc.Type == D3DRTYPE_SURFACE, "Got type %u.\n", desc.Type);
-    ok(!desc.Usage, "Got usage %#lx.\n", desc.Usage);
+    ok(!desc.Usage, "Got usage %#x.\n", desc.Usage);
     ok(desc.Pool == D3DPOOL_DEFAULT, "Got pool %u.\n", desc.Pool);
     ok(desc.MultiSampleType == D3DMULTISAMPLE_NONE, "Got multisample type %u.\n", desc.MultiSampleType);
-    ok(!desc.MultiSampleQuality, "Got multisample quality %lu.\n", desc.MultiSampleQuality);
+    ok(!desc.MultiSampleQuality, "Got multisample quality %u.\n", desc.MultiSampleQuality);
     ok(desc.Width == 32, "Got width %u.\n", desc.Width);
     ok(desc.Height == 16, "Got height %u.\n", desc.Height);
 
@@ -2807,16 +2804,16 @@ static void test_allocate_surface_helper(void)
     surfaces[0] = surfaces[1] = NULL;
     count = 1;
     hr = IVMRSurfaceAllocatorNotify9_AllocateSurfaceHelper(notify, &info, &count, surfaces);
-    todo_wine ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    todo_wine ok(!count, "Got count %lu.\n", count);
+    todo_wine ok(hr == S_OK, "Got hr %#x.\n", hr);
+    todo_wine ok(!count, "Got count %u.\n", count);
     ok(!surfaces[0], "Surface 0 was allocated.\n");
     ok(!surfaces[1], "Surface 1 was allocated.\n");
 
     count = 2;
     info.MinBuffers = 1;
     hr = IVMRSurfaceAllocatorNotify9_AllocateSurfaceHelper(notify, &info, &count, surfaces);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(count == 2, "Got count %lu.\n", count);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(count == 2, "Got count %u.\n", count);
     ok(!!surfaces[0], "Surface 0 was not allocated.\n");
     ok(!!surfaces[1], "Surface 1 was not allocated.\n");
     IDirect3DSurface9_Release(surfaces[0]);
@@ -2826,28 +2823,28 @@ static void test_allocate_surface_helper(void)
     info.dwFlags = VMR9AllocFlag_TextureSurface;
     surfaces[0] = surfaces[1] = NULL;
     hr = IVMRSurfaceAllocatorNotify9_AllocateSurfaceHelper(notify, &info, &count, surfaces);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(count == 2, "Got count %lu.\n", count);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(count == 2, "Got count %u.\n", count);
     ok(!!surfaces[0], "Surface 0 was not allocated.\n");
     ok(!!surfaces[1], "Surface 1 was not allocated.\n");
 
     hr = IDirect3DSurface9_GetDevice(surfaces[0], &device2);
-    ok(hr == D3D_OK, "Got hr %#lx.\n", hr);
+    ok(hr == D3D_OK, "Got hr %#x.\n", hr);
     ok(device2 == device, "Devices did not match.\n");
     IDirect3DDevice9_Release(device2);
 
     hr = IDirect3DSurface9_GetContainer(surfaces[0], &IID_IDirect3DTexture9, (void **)&container);
-    ok(hr == D3D_OK, "Got hr %#lx.\n", hr);
+    ok(hr == D3D_OK, "Got hr %#x.\n", hr);
     IDirect3DTexture9_Release(container);
 
     hr = IDirect3DSurface9_GetDesc(surfaces[1], &desc);
-    ok(hr == D3D_OK, "Got hr %#lx.\n", hr);
+    ok(hr == D3D_OK, "Got hr %#x.\n", hr);
     ok(desc.Format == info.Format, "Got format %#x.\n", desc.Format);
     ok(desc.Type == D3DRTYPE_SURFACE, "Got type %u.\n", desc.Type);
-    ok(desc.Usage == D3DUSAGE_DYNAMIC, "Got usage %#lx.\n", desc.Usage);
+    ok(desc.Usage == D3DUSAGE_DYNAMIC, "Got usage %#x.\n", desc.Usage);
     ok(desc.Pool == D3DPOOL_DEFAULT, "Got pool %u.\n", desc.Pool);
     ok(desc.MultiSampleType == D3DMULTISAMPLE_NONE, "Got multisample type %u.\n", desc.MultiSampleType);
-    ok(!desc.MultiSampleQuality, "Got multisample quality %lu.\n", desc.MultiSampleQuality);
+    ok(!desc.MultiSampleQuality, "Got multisample quality %u.\n", desc.MultiSampleQuality);
     ok(desc.Width == 32, "Got width %u.\n", desc.Width);
     ok(desc.Height == 16, "Got height %u.\n", desc.Height);
 
@@ -2857,8 +2854,8 @@ static void test_allocate_surface_helper(void)
     info.Format = D3DFMT_R8G8B8;
     surfaces[0] = surfaces[1] = NULL;
     hr = IVMRSurfaceAllocatorNotify9_AllocateSurfaceHelper(notify, &info, &count, surfaces);
-    ok(hr == D3DERR_INVALIDCALL, "Got hr %#lx.\n", hr);
-    ok(!count, "Got count %lu.\n", count);
+    ok(hr == D3DERR_INVALIDCALL, "Got hr %#x.\n", hr);
+    ok(!count, "Got count %u.\n", count);
     ok(!surfaces[0], "Surface 0 was allocated.\n");
     ok(!surfaces[1], "Surface 1 was allocated.\n");
 
@@ -2866,19 +2863,19 @@ static void test_allocate_surface_helper(void)
     info.dwFlags = VMR9AllocFlag_3DRenderTarget;
     count = 1;
     hr = IVMRSurfaceAllocatorNotify9_AllocateSurfaceHelper(notify, &info, &count, surfaces);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(count == 1, "Got count %lu.\n", count);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(count == 1, "Got count %u.\n", count);
     ok(!!surfaces[0], "Surface 0 was not allocated.\n");
     ok(info.Format != 0, "Expected a format.\n");
 
     hr = IDirect3DSurface9_GetDesc(surfaces[0], &desc);
-    ok(hr == D3D_OK, "Got hr %#lx.\n", hr);
+    ok(hr == D3D_OK, "Got hr %#x.\n", hr);
     ok(desc.Format == info.Format, "Expected format %#x, got %#x.\n", info.Format, desc.Format);
     ok(desc.Type == D3DRTYPE_SURFACE, "Got type %u.\n", desc.Type);
-    ok(desc.Usage == D3DUSAGE_RENDERTARGET, "Got usage %#lx.\n", desc.Usage);
+    ok(desc.Usage == D3DUSAGE_RENDERTARGET, "Got usage %#x.\n", desc.Usage);
     ok(desc.Pool == D3DPOOL_DEFAULT, "Got pool %u.\n", desc.Pool);
     ok(desc.MultiSampleType == D3DMULTISAMPLE_NONE, "Got multisample type %u.\n", desc.MultiSampleType);
-    ok(!desc.MultiSampleQuality, "Got multisample quality %lu.\n", desc.MultiSampleQuality);
+    ok(!desc.MultiSampleQuality, "Got multisample quality %u.\n", desc.MultiSampleQuality);
     ok(desc.Width == 32, "Got width %u.\n", desc.Width);
     ok(desc.Height == 16, "Got height %u.\n", desc.Height);
 
@@ -2888,15 +2885,15 @@ static void test_allocate_surface_helper(void)
     info.dwFlags = VMR9AllocFlag_OffscreenSurface | VMR9AllocFlag_TextureSurface;
     count = 1;
     hr = IVMRSurfaceAllocatorNotify9_AllocateSurfaceHelper(notify, &info, &count, surfaces);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
-    ok(count == 1, "Got count %lu.\n", count);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
+    ok(count == 1, "Got count %u.\n", count);
 
 out:
     IVMRSurfaceAllocatorNotify9_Release(notify);
     ref = IBaseFilter_Release(filter);
-    ok(!ref, "Got outstanding refcount %ld.\n", ref);
+    ok(!ref, "Got outstanding refcount %d.\n", ref);
     ref = IDirect3DDevice9_Release(device);
-    ok(!ref, "Got outstanding refcount %ld.\n", ref);
+    ok(!ref, "Got outstanding refcount %d.\n", ref);
     DestroyWindow(window);
 }
 
@@ -2939,14 +2936,14 @@ static ULONG WINAPI presenter_Release(IVMRImagePresenter9 *iface)
 static HRESULT WINAPI presenter_StartPresenting(IVMRImagePresenter9 *iface, DWORD_PTR cookie)
 {
     if (winetest_debug > 1) trace("StartPresenting()\n");
-    ok(cookie == 0xabacab, "Got cookie %#Ix.\n", cookie);
+    ok(cookie == 0xabacab, "Got cookie %#lx.\n", cookie);
     return E_NOTIMPL;
 }
 
 static HRESULT WINAPI presenter_StopPresenting(IVMRImagePresenter9 *iface, DWORD_PTR cookie)
 {
     if (winetest_debug > 1) trace("StopPresenting()\n");
-    ok(cookie == 0xabacab, "Got cookie %#Ix.\n", cookie);
+    ok(cookie == 0xabacab, "Got cookie %#lx.\n", cookie);
     return E_NOTIMPL;
 }
 
@@ -2956,16 +2953,16 @@ static HRESULT WINAPI presenter_PresentImage(IVMRImagePresenter9 *iface, DWORD_P
     static const RECT rect;
 
     if (winetest_debug > 1) trace("PresentImage()\n");
-    ok(cookie == 0xabacab, "Got cookie %#Ix.\n", cookie);
-    todo_wine ok(info->dwFlags == VMR9Sample_TimeValid, "Got flags %#lx.\n", info->dwFlags);
+    ok(cookie == 0xabacab, "Got cookie %#lx.\n", cookie);
+    todo_wine ok(info->dwFlags == VMR9Sample_TimeValid, "Got flags %#x.\n", info->dwFlags);
     ok(!info->rtStart, "Got start time %s.\n", wine_dbgstr_longlong(info->rtStart));
     ok(info->rtEnd == 10000000, "Got end time %s.\n", wine_dbgstr_longlong(info->rtEnd));
-    todo_wine ok(info->szAspectRatio.cx == 120, "Got aspect ratio width %ld.\n", info->szAspectRatio.cx);
-    todo_wine ok(info->szAspectRatio.cy == 60, "Got aspect ratio height %ld.\n", info->szAspectRatio.cy);
+    todo_wine ok(info->szAspectRatio.cx == 120, "Got aspect ratio width %d.\n", info->szAspectRatio.cx);
+    todo_wine ok(info->szAspectRatio.cy == 60, "Got aspect ratio height %d.\n", info->szAspectRatio.cy);
     ok(EqualRect(&info->rcSrc, &rect), "Got source rect %s.\n", wine_dbgstr_rect(&info->rcSrc));
     ok(EqualRect(&info->rcDst, &rect), "Got dest rect %s.\n", wine_dbgstr_rect(&info->rcDst));
-    ok(!info->dwReserved1, "Got dwReserved1 %#lx.\n", info->dwReserved1);
-    ok(!info->dwReserved2, "Got dwReserved2 %#lx.\n", info->dwReserved2);
+    ok(!info->dwReserved1, "Got dwReserved1 %#x.\n", info->dwReserved1);
+    ok(!info->dwReserved2, "Got dwReserved2 %#x.\n", info->dwReserved2);
 
     ++presenter->got_PresentImage;
     return S_OK;
@@ -3020,18 +3017,18 @@ static HRESULT WINAPI allocator_InitializeDevice(IVMRSurfaceAllocator9 *iface,
 {
     struct presenter *presenter = impl_from_IVMRSurfaceAllocator9(iface);
 
-    if (winetest_debug > 1) trace("InitializeDevice(flags %#lx, format %u)\n",
+    if (winetest_debug > 1) trace("InitializeDevice(flags %#x, format %u)\n",
             info->dwFlags, info->Format);
-    ok(cookie == 0xabacab, "Got cookie %#Ix.\n", cookie);
-    ok(info->dwWidth == 32, "Got width %lu.\n", info->dwWidth);
-    ok(info->dwHeight == 16, "Got height %lu.\n", info->dwHeight);
-    todo_wine ok(info->MinBuffers == 5, "Got buffer count %lu.\n", info->MinBuffers);
+    ok(cookie == 0xabacab, "Got cookie %#lx.\n", cookie);
+    ok(info->dwWidth == 32, "Got width %u.\n", info->dwWidth);
+    ok(info->dwHeight == 16, "Got height %u.\n", info->dwHeight);
+    todo_wine ok(info->MinBuffers == 5, "Got buffer count %u.\n", info->MinBuffers);
     ok(info->Pool == D3DPOOL_DEFAULT, "Got pool %u\n", info->Pool);
-    todo_wine ok(info->szAspectRatio.cx == 120, "Got aspect ratio width %ld.\n", info->szAspectRatio.cx);
-    todo_wine ok(info->szAspectRatio.cy == 60, "Got aspect ratio height %ld.\n", info->szAspectRatio.cy);
-    ok(info->szNativeSize.cx == 32, "Got native width %ld.\n", info->szNativeSize.cx);
-    ok(info->szNativeSize.cy == 16, "Got native height %ld.\n", info->szNativeSize.cy);
-    todo_wine ok(*buffer_count == 5, "Got buffer count %lu.\n", *buffer_count);
+    todo_wine ok(info->szAspectRatio.cx == 120, "Got aspect ratio width %d.\n", info->szAspectRatio.cx);
+    todo_wine ok(info->szAspectRatio.cy == 60, "Got aspect ratio height %d.\n", info->szAspectRatio.cy);
+    ok(info->szNativeSize.cx == 32, "Got native width %d.\n", info->szNativeSize.cx);
+    ok(info->szNativeSize.cy == 16, "Got native height %d.\n", info->szNativeSize.cy);
+    todo_wine ok(*buffer_count == 5, "Got buffer count %u.\n", *buffer_count);
 
     presenter->format = info->Format;
 
@@ -3046,7 +3043,7 @@ static HRESULT WINAPI allocator_TerminateDevice(IVMRSurfaceAllocator9 *iface, DW
     struct presenter *presenter = impl_from_IVMRSurfaceAllocator9(iface);
 
     if (winetest_debug > 1) trace("TerminateDevice()\n");
-    ok(cookie == 0xabacab, "Got cookie %#Ix.\n", cookie);
+    ok(cookie == 0xabacab, "Got cookie %#lx.\n", cookie);
     /* Don't dereference the surfaces here, to mimic How to Survive. */
     ++presenter->got_TerminateDevice;
     return E_NOTIMPL;
@@ -3057,10 +3054,10 @@ static HRESULT WINAPI allocator_GetSurface(IVMRSurfaceAllocator9 *iface,
 {
     struct presenter *presenter = impl_from_IVMRSurfaceAllocator9(iface);
 
-    if (winetest_debug > 1) trace("GetSurface(index %lu)\n", index);
-    ok(cookie == 0xabacab, "Got cookie %#Ix.\n", cookie);
-    ok(!flags, "Got flags %#lx.\n", flags);
-    ok(index < 5, "Got index %lu.\n", index);
+    if (winetest_debug > 1) trace("GetSurface(index %u)\n", index);
+    ok(cookie == 0xabacab, "Got cookie %#lx.\n", cookie);
+    ok(!flags, "Got flags %#x.\n", flags);
+    ok(index < 5, "Got index %u.\n", index);
 
     /* Don't reference the surface here, to mimic How to Survive. */
     *surface = presenter->surfaces[index];
@@ -3097,10 +3094,10 @@ static void test_renderless_present(struct presenter *presenter,
     presenter->got_PresentImage = 0;
 
     hr = IMediaControl_Pause(control);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
     thread = send_frame(input);
     hr = IMediaControl_GetState(control, 1000, &state);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     /* Atelier Sophie uses the VMR in renderless mode, calls
      * IMediaControl::Run() from a stopped state and expects that
      * IMediaControl::GetState() returns S_OK only after PresentImage() has
@@ -3108,13 +3105,13 @@ static void test_renderless_present(struct presenter *presenter,
     ok(presenter->got_PresentImage == 1, "Got %u calls to PresentImage().\n", presenter->got_PresentImage);
 
     hr = IMediaControl_Run(control);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = join_thread(thread);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     ok(presenter->got_PresentImage == 1, "Got %u calls to PresentImage().\n", presenter->got_PresentImage);
 
     hr = IMediaControl_Stop(control);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     IMediaControl_Release(control);
 }
@@ -3203,11 +3200,11 @@ static void test_renderless_formats(void)
         win_skip("Direct3D does not support video rendering.\n");
         goto out;
     }
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVMRSurfaceAllocatorNotify9_AdviseSurfaceAllocator(notify, 0xabacab,
             &presenter.IVMRSurfaceAllocator9_iface);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     presenter.notify = notify;
 
@@ -3229,14 +3226,14 @@ static void test_renderless_formats(void)
          * IMemAllocator::SetProperties(), so let that fail here for now. */
         if (hr != S_OK)
         {
-            skip("Format %u (%#x), flags %#lx are not supported, hr %#lx.\n",
+            skip("Format %u (%#x), flags %#x are not supported, hr %#x.\n",
                     tests[i].format, tests[i].format, tests[i].flags, hr);
             continue;
         }
-        ok(hr == S_OK, "Test %u: Got hr %#lx.\n", i, hr);
+        ok(hr == S_OK, "Test %u: Got hr %#x.\n", i, hr);
 
         hr = IMemInputPin_GetAllocator(input, &allocator);
-        todo_wine ok(hr == S_OK, "Test %u: Got hr %#lx.\n", i, hr);
+        todo_wine ok(hr == S_OK, "Test %u: Got hr %#x.\n", i, hr);
         if (hr != S_OK)
         {
             test_allocator(input);
